Get campaign property lists
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaignId": "<string>",
"propertyLists": [
{
"listId": "<string>",
"name": "<string>",
"purpose": "include",
"propertyCount": 4503599627370495,
"createdAt": "<string>",
"updatedAt": "<string>",
"viaMediaBuys": [
{
"mediaBuyId": "<string>",
"packageIds": [
"<string>"
]
}
]
}
],
"summary": {
"totalLists": 4503599627370495,
"includeCount": 4503599627370495,
"excludeCount": 4503599627370495
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Property Lists
Get campaign property lists
Get the property lists that apply to a campaign — the campaign-level and advertiser-level lists that constrain where it can deliver.
GET
/
campaigns
/
{campaignId}
/
property-lists
Get campaign property lists
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/property-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaignId": "<string>",
"propertyLists": [
{
"listId": "<string>",
"name": "<string>",
"purpose": "include",
"propertyCount": 4503599627370495,
"createdAt": "<string>",
"updatedAt": "<string>",
"viaMediaBuys": [
{
"mediaBuyId": "<string>",
"packageIds": [
"<string>"
]
}
]
}
],
"summary": {
"totalLists": 4503599627370495,
"includeCount": 4503599627370495,
"excludeCount": 4503599627370495
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the campaign
Minimum string length:
1Example:
"cmp_987654321"